Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Prefix/120
Addresses256
/64 networksPart of one
Network
64:ff9b::62:9e00/120
First address
64:ff9b::62:9e00
Last address
64:ff9b::62:9eff
Addresses
256
/64 networks (LANs)
None: smaller than one /64 LAN
Full form
0064:ff9b:0000:0000:0000:0000:0062:9e00
Type
NAT64 64:ff9b::/96
IPv4 addresses reached through a NAT64 gateway
Reverse DNS zone
e.9.2.6.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.b.9.f.f.4.6.0.0.ip6.arpa
Split into smaller subnets/128

64:ff9b::62:9e00/120 makes 256 subnets of /128.

Subnets
#SubnetLast address
164:ff9b::62:9e00/12864:ff9b::62:9e00
264:ff9b::62:9e01/12864:ff9b::62:9e01
364:ff9b::62:9e02/12864:ff9b::62:9e02
464:ff9b::62:9e03/12864:ff9b::62:9e03
564:ff9b::62:9e04/12864:ff9b::62:9e04
664:ff9b::62:9e05/12864:ff9b::62:9e05
764:ff9b::62:9e06/12864:ff9b::62:9e06
864:ff9b::62:9e07/12864:ff9b::62:9e07
964:ff9b::62:9e08/12864:ff9b::62:9e08
1064:ff9b::62:9e09/12864:ff9b::62:9e09
1164:ff9b::62:9e0a/12864:ff9b::62:9e0a
1264:ff9b::62:9e0b/12864:ff9b::62:9e0b
1364:ff9b::62:9e0c/12864:ff9b::62:9e0c
1464:ff9b::62:9e0d/12864:ff9b::62:9e0d
1564:ff9b::62:9e0e/12864:ff9b::62:9e0e
1664:ff9b::62:9e0f/12864:ff9b::62:9e0f
1764:ff9b::62:9e10/12864:ff9b::62:9e10
1864:ff9b::62:9e11/12864:ff9b::62:9e11
1964:ff9b::62:9e12/12864:ff9b::62:9e12
2064:ff9b::62:9e13/12864:ff9b::62:9e13
2164:ff9b::62:9e14/12864:ff9b::62:9e14
2264:ff9b::62:9e15/12864:ff9b::62:9e15
2364:ff9b::62:9e16/12864:ff9b::62:9e16
2464:ff9b::62:9e17/12864:ff9b::62:9e17
2564:ff9b::62:9e18/12864:ff9b::62:9e18
2664:ff9b::62:9e19/12864:ff9b::62:9e19
2764:ff9b::62:9e1a/12864:ff9b::62:9e1a
2864:ff9b::62:9e1b/12864:ff9b::62:9e1b
2964:ff9b::62:9e1c/12864:ff9b::62:9e1c
3064:ff9b::62:9e1d/12864:ff9b::62:9e1d
3164:ff9b::62:9e1e/12864:ff9b::62:9e1e
3264:ff9b::62:9e1f/12864:ff9b::62:9e1f
3364:ff9b::62:9e20/12864:ff9b::62:9e20
3464:ff9b::62:9e21/12864:ff9b::62:9e21
3564:ff9b::62:9e22/12864:ff9b::62:9e22
3664:ff9b::62:9e23/12864:ff9b::62:9e23
3764:ff9b::62:9e24/12864:ff9b::62:9e24
3864:ff9b::62:9e25/12864:ff9b::62:9e25
3964:ff9b::62:9e26/12864:ff9b::62:9e26
4064:ff9b::62:9e27/12864:ff9b::62:9e27
4164:ff9b::62:9e28/12864:ff9b::62:9e28
4264:ff9b::62:9e29/12864:ff9b::62:9e29
4364:ff9b::62:9e2a/12864:ff9b::62:9e2a
4464:ff9b::62:9e2b/12864:ff9b::62:9e2b
4564:ff9b::62:9e2c/12864:ff9b::62:9e2c
4664:ff9b::62:9e2d/12864:ff9b::62:9e2d
4764:ff9b::62:9e2e/12864:ff9b::62:9e2e
4864:ff9b::62:9e2f/12864:ff9b::62:9e2f
4964:ff9b::62:9e30/12864:ff9b::62:9e30
5064:ff9b::62:9e31/12864:ff9b::62:9e31
5164:ff9b::62:9e32/12864:ff9b::62:9e32
5264:ff9b::62:9e33/12864:ff9b::62:9e33
5364:ff9b::62:9e34/12864:ff9b::62:9e34
5464:ff9b::62:9e35/12864:ff9b::62:9e35
5564:ff9b::62:9e36/12864:ff9b::62:9e36
5664:ff9b::62:9e37/12864:ff9b::62:9e37
5764:ff9b::62:9e38/12864:ff9b::62:9e38
5864:ff9b::62:9e39/12864:ff9b::62:9e39
5964:ff9b::62:9e3a/12864:ff9b::62:9e3a
6064:ff9b::62:9e3b/12864:ff9b::62:9e3b
6164:ff9b::62:9e3c/12864:ff9b::62:9e3c
6264:ff9b::62:9e3d/12864:ff9b::62:9e3d
6364:ff9b::62:9e3e/12864:ff9b::62:9e3e
6464:ff9b::62:9e3f/12864:ff9b::62:9e3f
6564:ff9b::62:9e40/12864:ff9b::62:9e40
6664:ff9b::62:9e41/12864:ff9b::62:9e41
6764:ff9b::62:9e42/12864:ff9b::62:9e42
6864:ff9b::62:9e43/12864:ff9b::62:9e43
6964:ff9b::62:9e44/12864:ff9b::62:9e44
7064:ff9b::62:9e45/12864:ff9b::62:9e45
7164:ff9b::62:9e46/12864:ff9b::62:9e46
7264:ff9b::62:9e47/12864:ff9b::62:9e47
7364:ff9b::62:9e48/12864:ff9b::62:9e48
7464:ff9b::62:9e49/12864:ff9b::62:9e49
7564:ff9b::62:9e4a/12864:ff9b::62:9e4a
7664:ff9b::62:9e4b/12864:ff9b::62:9e4b
7764:ff9b::62:9e4c/12864:ff9b::62:9e4c
7864:ff9b::62:9e4d/12864:ff9b::62:9e4d
7964:ff9b::62:9e4e/12864:ff9b::62:9e4e
8064:ff9b::62:9e4f/12864:ff9b::62:9e4f
8164:ff9b::62:9e50/12864:ff9b::62:9e50
8264:ff9b::62:9e51/12864:ff9b::62:9e51
8364:ff9b::62:9e52/12864:ff9b::62:9e52
8464:ff9b::62:9e53/12864:ff9b::62:9e53
8564:ff9b::62:9e54/12864:ff9b::62:9e54
8664:ff9b::62:9e55/12864:ff9b::62:9e55
8764:ff9b::62:9e56/12864:ff9b::62:9e56
8864:ff9b::62:9e57/12864:ff9b::62:9e57
8964:ff9b::62:9e58/12864:ff9b::62:9e58
9064:ff9b::62:9e59/12864:ff9b::62:9e59
9164:ff9b::62:9e5a/12864:ff9b::62:9e5a
9264:ff9b::62:9e5b/12864:ff9b::62:9e5b
9364:ff9b::62:9e5c/12864:ff9b::62:9e5c
9464:ff9b::62:9e5d/12864:ff9b::62:9e5d
9564:ff9b::62:9e5e/12864:ff9b::62:9e5e
9664:ff9b::62:9e5f/12864:ff9b::62:9e5f
9764:ff9b::62:9e60/12864:ff9b::62:9e60
9864:ff9b::62:9e61/12864:ff9b::62:9e61
9964:ff9b::62:9e62/12864:ff9b::62:9e62
10064:ff9b::62:9e63/12864:ff9b::62:9e63
10164:ff9b::62:9e64/12864:ff9b::62:9e64
10264:ff9b::62:9e65/12864:ff9b::62:9e65
10364:ff9b::62:9e66/12864:ff9b::62:9e66
10464:ff9b::62:9e67/12864:ff9b::62:9e67
10564:ff9b::62:9e68/12864:ff9b::62:9e68
10664:ff9b::62:9e69/12864:ff9b::62:9e69
10764:ff9b::62:9e6a/12864:ff9b::62:9e6a
10864:ff9b::62:9e6b/12864:ff9b::62:9e6b
10964:ff9b::62:9e6c/12864:ff9b::62:9e6c
11064:ff9b::62:9e6d/12864:ff9b::62:9e6d
11164:ff9b::62:9e6e/12864:ff9b::62:9e6e
11264:ff9b::62:9e6f/12864:ff9b::62:9e6f
11364:ff9b::62:9e70/12864:ff9b::62:9e70
11464:ff9b::62:9e71/12864:ff9b::62:9e71
11564:ff9b::62:9e72/12864:ff9b::62:9e72
11664:ff9b::62:9e73/12864:ff9b::62:9e73
11764:ff9b::62:9e74/12864:ff9b::62:9e74
11864:ff9b::62:9e75/12864:ff9b::62:9e75
11964:ff9b::62:9e76/12864:ff9b::62:9e76
12064:ff9b::62:9e77/12864:ff9b::62:9e77
12164:ff9b::62:9e78/12864:ff9b::62:9e78
12264:ff9b::62:9e79/12864:ff9b::62:9e79
12364:ff9b::62:9e7a/12864:ff9b::62:9e7a
12464:ff9b::62:9e7b/12864:ff9b::62:9e7b
12564:ff9b::62:9e7c/12864:ff9b::62:9e7c
12664:ff9b::62:9e7d/12864:ff9b::62:9e7d
12764:ff9b::62:9e7e/12864:ff9b::62:9e7e
12864:ff9b::62:9e7f/12864:ff9b::62:9e7f
12964:ff9b::62:9e80/12864:ff9b::62:9e80
13064:ff9b::62:9e81/12864:ff9b::62:9e81
13164:ff9b::62:9e82/12864:ff9b::62:9e82
13264:ff9b::62:9e83/12864:ff9b::62:9e83
13364:ff9b::62:9e84/12864:ff9b::62:9e84
13464:ff9b::62:9e85/12864:ff9b::62:9e85
13564:ff9b::62:9e86/12864:ff9b::62:9e86
13664:ff9b::62:9e87/12864:ff9b::62:9e87
13764:ff9b::62:9e88/12864:ff9b::62:9e88
13864:ff9b::62:9e89/12864:ff9b::62:9e89
13964:ff9b::62:9e8a/12864:ff9b::62:9e8a
14064:ff9b::62:9e8b/12864:ff9b::62:9e8b
14164:ff9b::62:9e8c/12864:ff9b::62:9e8c
14264:ff9b::62:9e8d/12864:ff9b::62:9e8d
14364:ff9b::62:9e8e/12864:ff9b::62:9e8e
14464:ff9b::62:9e8f/12864:ff9b::62:9e8f
14564:ff9b::62:9e90/12864:ff9b::62:9e90
14664:ff9b::62:9e91/12864:ff9b::62:9e91
14764:ff9b::62:9e92/12864:ff9b::62:9e92
14864:ff9b::62:9e93/12864:ff9b::62:9e93
14964:ff9b::62:9e94/12864:ff9b::62:9e94
15064:ff9b::62:9e95/12864:ff9b::62:9e95
15164:ff9b::62:9e96/12864:ff9b::62:9e96
15264:ff9b::62:9e97/12864:ff9b::62:9e97
15364:ff9b::62:9e98/12864:ff9b::62:9e98
15464:ff9b::62:9e99/12864:ff9b::62:9e99
15564:ff9b::62:9e9a/12864:ff9b::62:9e9a
15664:ff9b::62:9e9b/12864:ff9b::62:9e9b
15764:ff9b::62:9e9c/12864:ff9b::62:9e9c
15864:ff9b::62:9e9d/12864:ff9b::62:9e9d
15964:ff9b::62:9e9e/12864:ff9b::62:9e9e
16064:ff9b::62:9e9f/12864:ff9b::62:9e9f
16164:ff9b::62:9ea0/12864:ff9b::62:9ea0
16264:ff9b::62:9ea1/12864:ff9b::62:9ea1
16364:ff9b::62:9ea2/12864:ff9b::62:9ea2
16464:ff9b::62:9ea3/12864:ff9b::62:9ea3
16564:ff9b::62:9ea4/12864:ff9b::62:9ea4
16664:ff9b::62:9ea5/12864:ff9b::62:9ea5
16764:ff9b::62:9ea6/12864:ff9b::62:9ea6
16864:ff9b::62:9ea7/12864:ff9b::62:9ea7
16964:ff9b::62:9ea8/12864:ff9b::62:9ea8
17064:ff9b::62:9ea9/12864:ff9b::62:9ea9
17164:ff9b::62:9eaa/12864:ff9b::62:9eaa
17264:ff9b::62:9eab/12864:ff9b::62:9eab
17364:ff9b::62:9eac/12864:ff9b::62:9eac
17464:ff9b::62:9ead/12864:ff9b::62:9ead
17564:ff9b::62:9eae/12864:ff9b::62:9eae
17664:ff9b::62:9eaf/12864:ff9b::62:9eaf
17764:ff9b::62:9eb0/12864:ff9b::62:9eb0
17864:ff9b::62:9eb1/12864:ff9b::62:9eb1
17964:ff9b::62:9eb2/12864:ff9b::62:9eb2
18064:ff9b::62:9eb3/12864:ff9b::62:9eb3
18164:ff9b::62:9eb4/12864:ff9b::62:9eb4
18264:ff9b::62:9eb5/12864:ff9b::62:9eb5
18364:ff9b::62:9eb6/12864:ff9b::62:9eb6
18464:ff9b::62:9eb7/12864:ff9b::62:9eb7
18564:ff9b::62:9eb8/12864:ff9b::62:9eb8
18664:ff9b::62:9eb9/12864:ff9b::62:9eb9
18764:ff9b::62:9eba/12864:ff9b::62:9eba
18864:ff9b::62:9ebb/12864:ff9b::62:9ebb
18964:ff9b::62:9ebc/12864:ff9b::62:9ebc
19064:ff9b::62:9ebd/12864:ff9b::62:9ebd
19164:ff9b::62:9ebe/12864:ff9b::62:9ebe
19264:ff9b::62:9ebf/12864:ff9b::62:9ebf
19364:ff9b::62:9ec0/12864:ff9b::62:9ec0
19464:ff9b::62:9ec1/12864:ff9b::62:9ec1
19564:ff9b::62:9ec2/12864:ff9b::62:9ec2
19664:ff9b::62:9ec3/12864:ff9b::62:9ec3
19764:ff9b::62:9ec4/12864:ff9b::62:9ec4
19864:ff9b::62:9ec5/12864:ff9b::62:9ec5
19964:ff9b::62:9ec6/12864:ff9b::62:9ec6
20064:ff9b::62:9ec7/12864:ff9b::62:9ec7
20164:ff9b::62:9ec8/12864:ff9b::62:9ec8
20264:ff9b::62:9ec9/12864:ff9b::62:9ec9
20364:ff9b::62:9eca/12864:ff9b::62:9eca
20464:ff9b::62:9ecb/12864:ff9b::62:9ecb
20564:ff9b::62:9ecc/12864:ff9b::62:9ecc
20664:ff9b::62:9ecd/12864:ff9b::62:9ecd
20764:ff9b::62:9ece/12864:ff9b::62:9ece
20864:ff9b::62:9ecf/12864:ff9b::62:9ecf
20964:ff9b::62:9ed0/12864:ff9b::62:9ed0
21064:ff9b::62:9ed1/12864:ff9b::62:9ed1
21164:ff9b::62:9ed2/12864:ff9b::62:9ed2
21264:ff9b::62:9ed3/12864:ff9b::62:9ed3
21364:ff9b::62:9ed4/12864:ff9b::62:9ed4
21464:ff9b::62:9ed5/12864:ff9b::62:9ed5
21564:ff9b::62:9ed6/12864:ff9b::62:9ed6
21664:ff9b::62:9ed7/12864:ff9b::62:9ed7
21764:ff9b::62:9ed8/12864:ff9b::62:9ed8
21864:ff9b::62:9ed9/12864:ff9b::62:9ed9
21964:ff9b::62:9eda/12864:ff9b::62:9eda
22064:ff9b::62:9edb/12864:ff9b::62:9edb
22164:ff9b::62:9edc/12864:ff9b::62:9edc
22264:ff9b::62:9edd/12864:ff9b::62:9edd
22364:ff9b::62:9ede/12864:ff9b::62:9ede
22464:ff9b::62:9edf/12864:ff9b::62:9edf
22564:ff9b::62:9ee0/12864:ff9b::62:9ee0
22664:ff9b::62:9ee1/12864:ff9b::62:9ee1
22764:ff9b::62:9ee2/12864:ff9b::62:9ee2
22864:ff9b::62:9ee3/12864:ff9b::62:9ee3
22964:ff9b::62:9ee4/12864:ff9b::62:9ee4
23064:ff9b::62:9ee5/12864:ff9b::62:9ee5
23164:ff9b::62:9ee6/12864:ff9b::62:9ee6
23264:ff9b::62:9ee7/12864:ff9b::62:9ee7
23364:ff9b::62:9ee8/12864:ff9b::62:9ee8
23464:ff9b::62:9ee9/12864:ff9b::62:9ee9
23564:ff9b::62:9eea/12864:ff9b::62:9eea
23664:ff9b::62:9eeb/12864:ff9b::62:9eeb
23764:ff9b::62:9eec/12864:ff9b::62:9eec
23864:ff9b::62:9eed/12864:ff9b::62:9eed
23964:ff9b::62:9eee/12864:ff9b::62:9eee
24064:ff9b::62:9eef/12864:ff9b::62:9eef
24164:ff9b::62:9ef0/12864:ff9b::62:9ef0
24264:ff9b::62:9ef1/12864:ff9b::62:9ef1
24364:ff9b::62:9ef2/12864:ff9b::62:9ef2
24464:ff9b::62:9ef3/12864:ff9b::62:9ef3
24564:ff9b::62:9ef4/12864:ff9b::62:9ef4
24664:ff9b::62:9ef5/12864:ff9b::62:9ef5
24764:ff9b::62:9ef6/12864:ff9b::62:9ef6
24864:ff9b::62:9ef7/12864:ff9b::62:9ef7
24964:ff9b::62:9ef8/12864:ff9b::62:9ef8
25064:ff9b::62:9ef9/12864:ff9b::62:9ef9
25164:ff9b::62:9efa/12864:ff9b::62:9efa
25264:ff9b::62:9efb/12864:ff9b::62:9efb
25364:ff9b::62:9efc/12864:ff9b::62:9efc
25464:ff9b::62:9efd/12864:ff9b::62:9efd
25564:ff9b::62:9efe/12864:ff9b::62:9efe
25664:ff9b::62:9eff/12864:ff9b::62:9eff

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses